.App {
  text-align: center;
}

.App-logo {
  animation: App-logo-spin infinite 20s linear;
  height: 40vmin;
  pointer-events: none;
}

.App-header {
  background-color: #282c34;
  min-height: 100vh;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  font-size: calc(10px + 2vmin);
  color: white;
}

.App-link {
  color: #61dafb;
}

@keyframes dashboard-spin {
  from {
    transform: rotate(0deg);
  }
  to {
    transform: rotate(360deg);
  }
}

.login-card {
  width: 30%;
  margin: 0 auto;
  margin-top: 20%;
}

.submission-card {
  width: 60%;
  margin: 0 auto;
  margin-top: 20%;
}

.jobwrapper {
  display: flex;
  padding: 10px;
  margin-bottom: 10px;
}

.jobwrapper:hover {
  cursor: pointer;
  background-color: rgb(255, 224, 138);
}

.overlaycard {
  display: auto;
  margin: 0 auto;
  margin-top: 10%;
  margin-left: 20%
}

.codeholder {
  height: 100%;
  overflow: visible;
}

.fileinput {
  padding-top: 20px;
}

.succeeded {
  background-color: #bfffc5;
  transition: background-color 0.5s;
}

.failed {
  background-color: #ffbfbf;
  transition: background-color 0.5s;
}

.running {
  background-color: #ffdebf;
  transition: background-color 0.5s;
}

.jobpageholder {
  display: block;
}

.jobinfo {
  display: inline-block;
  padding-top: 10px;
  float: right;
  position: relative;
  text-align: left;
}

.jobholder {
  display: inline-block;
  overflow-y: scroll;
  position: absolute;
  right: 0px;
  padding-top: 10px;
  padding-left: 5px;
}

.menu-sidebar {
  background-color: #282c34;
  min-height: 100%;
  box-shadow: 4px 0px 10px grey;;
}

.button-text {
  color: white !important;
  width: 100% !important;
  background-color: #55606e !important;
  border-radius: 0 !important;
  margin-bottom: 10px;
}

.button-text:hover {
  color: white !important;
  width: 100% !important;
  background-color: #2d5e9c !important;
  border-radius: 0 !important;
  margin-bottom: 10px;
}

.header-text {
  color: white !important;
  width: 100% !important;
  border-radius: 0 !important;
  margin-top: 10px;
}

.mainpage-holder {
  display: flex;
  position: absolute;
  flex-direction: row;
  min-height: 100%;
}

.content-holder {

}

#circle-graph-card {
  
}

a { color: inherit !important; } 